Upload Git Config
curl --request POST \
--url https://www.corgea.app/api/v1/git-config-upload \
--header 'CORGEA-TOKEN: <api-key>' \
--header 'Content-Type: text/plain' \
--data '<string>'import requests
url = "https://www.corgea.app/api/v1/git-config-upload"
payload = "<string>"
headers = {
"CORGEA-TOKEN": "<api-key>",
"Content-Type": "text/plain"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'CORGEA-TOKEN': '<api-key>', 'Content-Type': 'text/plain'},
body: '<string>'
};
fetch('https://www.corgea.app/api/v1/git-config-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}Uploading 3rd Party Scan
Upload Git Config
Upload Git configuration data for a specific scan run to help with repository URL parsing and analysis.
POST
/
git-config-upload
Upload Git Config
Authorizations
CorgeaTokenBearerAuth
API key for authentication
Query Parameters
The scan run ID associated with this Git configuration
Body
text/plain
Raw Git configuration data as UTF-8 text
The body is of type string.
Response
Git config uploaded successfully
Available options:
ok Example:
"ok"
Was this page helpful?
⌘I
